"""
Модуль является результатом выполнения практической
домашней работы по теме "Двумерные списки"

:copyright: Сергей Ванюшкин <pi3c@yandex.ru>
:git: https://git.pi3c.ru/pi3c/StudyRepo_Synergy.git
:license: MIT
2023г.
"""

import random
from functools import reduce

arr = []
for _ in range(3):
    arr.append(list())

x = 0
for i in range(1, 10):
    arr[x].append(i)
    if i in (3, 6):
        x += 1
print("Печатаю матрицу 3х3")
print(*arr, sep="\n", end="\n\n")

print("Генерирую произвольную матрицу со случайными числами")
arr = []
arr_x = random.randint(3, 10)
arr_y = random.randint(3, 10)

for x in range(arr_x):
    arr.append(list())

for sub_list in arr:
    for _ in range(arr_y):
        sub_list.append(random.randint(-100, 100))

for i in range(arr_x):
    print(arr[i], "Сумма:", sum(arr[i]))

print("Сумма всех элементов:", sum(reduce(lambda x, y: x + y, arr)))
